2019-12-09 18:44 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002690FSSCPgraphicspublic2012-11-16 14:22
ReporterAdmiral MS 
Assigned Tozookeeper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.14 RC6 
Target Version3.6.16Fixed in Version3.6.15 
Summary0002690: ship-create and mn.createShip() don't load thruster models/submodels
DescriptionCreating a ship in a mission using either the ship-create SEXP or the scripting function mn.createShip() won't load the corresponding thruster models/submodels.
The bug won't appear if the shipclass is already present in mission or the class has been loaded in a previous mission without closing the game in between.
Steps To Reproduceplay attached mission, there is a second Deimos present with arrival to false
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0014044

zookeeper (developer)

Trunk r9349 ought to fix this. I'm marking this as fixed although more testing would be good, as my tests were rather simple.
+Notes

-Issue History
Date Modified Username Field Change
2012-07-26 09:23 Admiral MS New Issue
2012-07-26 09:23 Admiral MS File Added: shipcreate.fs2
2012-11-05 00:48 Goober5000 Target Version => 3.6.16
2012-11-16 14:20 zookeeper Assigned To => zookeeper
2012-11-16 14:20 zookeeper Status new => assigned
2012-11-16 14:22 zookeeper Note Added: 0014044
2012-11-16 14:22 zookeeper Status assigned => resolved
2012-11-16 14:22 zookeeper Fixed in Version => 3.6.15
2012-11-16 14:22 zookeeper Resolution open => fixed
+Issue History